#include <iostream>

int main(){
    char a, b;
    int abroj, bbroj;

    std::cin >> a >> b >> abroj >> bbroj;

    if(abs(abroj - bbroj) <= 1){
        std::string rec("");
        rec.reserve(abroj+bbroj);

        if(abroj > bbroj)
            for(int i = 0; i < abroj+bbroj; i++){
                rec += (i % 2 == 0  ? a : b);
            }
        else
            for(int i = 0; i < abroj+bbroj; i++){
                rec += (i % 2 == 0 ? b : a);
            }

        std::cout << rec;
    } else
        std::cout << "nemoguce";
}